Page MenuHomePhabricator

[arm] Distinguish the /U[qytnms]/, 'Uv', 'Q', and 'm' inline assembly memory constraints.
ClosedPublic

Authored by dsanders on Mar 10 2015, 7:49 AM.

Details

Summary

But still handle them the same way since I don't know how they differ on
this target.

Of these, /U[qytnms]/ do not have backend tests but are accepted by clang.

No functional change intended. Depends on D8173.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 21580.Mar 10 2015, 7:49 AM
dsanders retitled this revision from to [arm] Distinguish the /U[qytnms]/, 'Uv', 'Q', and 'm' inline assembly memory constraints..
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added a subscriber: Unknown Object (MLST).
dsanders updated this revision to Diff 21594.Mar 10 2015, 9:36 AM

Added the missing portion of the patch which handled /U[qytnms]/

Ping.

The main thing I'm looking for is for is for someone with knowledge of the target to say whether they're aware of any supported constraints that this patch doesn't cover.

Sorry for the delay. This looks fine to me. If anything I'd be inclined to drop the ones not documented by GCC, but that's more of a policy debate we can have when someone feels strongly enough about it.

Cheers.

Tim.

t.p.northover accepted this revision.Jun 1 2015, 12:55 PM
t.p.northover added a reviewer: t.p.northover.
This revision is now accepted and ready to land.Jun 1 2015, 12:55 PM
dsanders closed this revision.Jun 3 2015, 5:37 AM

Thanks. Committed in r238921